import ymaps from 'ymaps';
import Component from '../component';
 

	

export default class YMaps extends Component {

	constructor( props = {
		selector: '#map',
		lat: -8.369326,
		lon: 115.166023
	}){
		super( props );

		this.loadMap();
	}

	/**
	 * Загружаем карту
	 */
	loadMap(){

		const el = document.querySelector( this.props.selector );

		ymaps.load( '//api-maps.yandex.ru/2.1/?lang=en_RU' ).then( maps => {
			this.state.mapInstance = new maps.Map( el, {
				center: [ parseFloat( this.props.lat ), parseFloat(this.props.lon) ]
			});
		})
			.catch( error => console.log( 'Failed to load Yandex Maps', error ) );

	}


	/**
	 * 
	 */
	render(){
		return false;
	}

}